Package org.eclipse.emf.cdo.security

## Interface CombinedFilter

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PermissionFilter`
  All Known Subinterfaces:
    `AndFilter`, `NotFilter`, `OrFilter`
  All Known Implementing Classes:
    `AndFilterImpl`, `CombinedFilterImpl`, `NotFilterImpl`, `OrFilterImpl`

      public interface CombinedFilter
      extends PermissionFilter

  A representation of the model object 'Combined Filter'.
  Since:
    4.3

    The following features are supported:

    - `Operands`
  See Also:
    `SecurityPackage.getCombinedFilter()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<PermissionFilter>` | `getOperands()` | Returns the value of the 'Operands' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `format, isApplicable, isImpacted`

- - ### Method Detail

    - #### getOperands

          org.eclipse.emf.common.util.EList<PermissionFilter> getOperands()

      Returns the value of the 'Operands' containment reference list. The list contents are of type `PermissionFilter`.

      If the meaning of the 'Operands' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operands' containment reference list.
      See Also:
        `SecurityPackage.getCombinedFilter_Operands()`
      Generated
      Model
        containment="true" required="true"